diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
index 511b95971..33263074f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
@@ -66,7 +66,7 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements
 			label = formFactory.createLabel(getLayoutComposite(),
 					CdmUtils.Nz(labelString), SWT.NULL);
 			addControl(label);
-			label.setLayoutData(CdmFormFactory.LEFT());
+			label.setLayoutData(LayoutConstants.LEFT());
 		}
 
 		int scrollStyle = textHeight == null ? SWT.NULL
@@ -104,7 +104,7 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements
 			});
 		}
 
-		TableWrapData layoutData = CdmFormFactory.FILL();
+		TableWrapData layoutData = LayoutConstants.FILL();
 		if (textHeight != null && textHeight > 0) {
 			(layoutData).heightHint = textHeight;
 		}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ToggleableTextElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ToggleableTextElement.java
index 9eec7d95b..e49ca357c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ToggleableTextElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ToggleableTextElement.java
@@ -64,14 +64,14 @@ public class ToggleableTextElement extends AbstractCdmFormElement implements Sel
 		addControl(label);
 		
 		container = formFactory.createComposite(getLayoutComposite(), SWT.WRAP);		
-		container.setLayout(CdmFormFactory.LAYOUT(2, false));
-		container.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		container.setLayout(LayoutConstants.LAYOUT(2, false));
+		container.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 		addControl(container);
 		
 		text_cache = formFactory.createText(container, initialText, SWT.WRAP | SWT.MULTI);
 		addControl(text_cache);
 		text_cache.addModifyListener(this);
-		text_cache.setLayoutData(CdmFormFactory.FILL());
+		text_cache.setLayoutData(LayoutConstants.FILL());
 
 		// Don't accept carriage returns as input
 		text_cache.addKeyListener( new KeyAdapter(){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
index d160ba255..9553a3719 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
@@ -27,8 +27,8 @@ import org.eclipse.ui.forms.widgets.ScrolledForm;
 
 import eu.etaxonomy.cdm.ext.openurl.OpenUrlReference;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ImageElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 import eu.etaxonomy.taxeditor.ui.element.RootElement;
 
 /**
@@ -49,8 +49,6 @@ public class OpenUrlReferencePage extends WizardPage implements SelectionListene
 	private Button button_next;
 	private Button button_previous;
 
-	private OpenUrlReference reference;
-
 	private Composite container;
 
 	private Label label_pageNumber; 
@@ -73,7 +71,7 @@ public class OpenUrlReferencePage extends WizardPage implements SelectionListene
 		container.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		
 		scrolledForm = getWizard().getFormFactory().createScrolledForm(container);
-		scrolledForm.getBody().setLayout(CdmFormFactory.LAYOUT(3, false));
+		scrolledForm.getBody().setLayout(LayoutConstants.LAYOUT(3, false));
 		scrolledForm.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, true));
 		
 		Composite buttonContainer = getWizard().getFormFactory().createComposite(container);
@@ -91,7 +89,7 @@ public class OpenUrlReferencePage extends WizardPage implements SelectionListene
 		button_next.addSelectionListener(this);
 		button_next.setLayoutData(new GridData(SWT.RIGHT, SWT.BOTTOM, true, false));
 		
-		scrolledForm.getBody().setLayoutData(CdmFormFactory.FILL());
+		scrolledForm.getBody().setLayoutData(LayoutConstants.FILL());
 		
 		rootElement = new RootElement(getWizard().getFormFactory(), scrolledForm.getBody());
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
index 41146e62b..c508919a6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
@@ -17,13 +17,13 @@ import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Label;
-import org.eclipse.ui.editors.text.EditorsUI;
 
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * @author n.hoffmann
@@ -57,7 +57,7 @@ public class OpenUrlSelectorElement extends AbstractCdmFormElement implements Se
 		addControl(label);
 		
 		button = formFactory.createButton(getLayoutComposite(), labelString, SWT.PUSH);
-		button.setLayoutData(CdmFormFactory.RIGHT());
+		button.setLayoutData(LayoutConstants.RIGHT());
 		addControl(button);
 		button.addSelectionListener(this);
 	}
@@ -84,7 +84,7 @@ public class OpenUrlSelectorElement extends AbstractCdmFormElement implements Se
 	/**
 	 * @return
 	 */
-	private String getDetail() {
+	public String getDetail() {
 		return referenceDetail;
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/EditPasswordElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/EditPasswordElement.java
index 4472b6435..2f91f4a5b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/EditPasswordElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/EditPasswordElement.java
@@ -24,6 +24,7 @@ import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * @author n.hoffmann
@@ -54,7 +55,7 @@ public class EditPasswordElement extends AbstractCdmFormElement implements Selec
 		String buttonLabelString = (labelString != null) ? labelString : "Change Password";
 		
 		button = formFactory.createButton(getLayoutComposite(), buttonLabelString, SWT.PUSH);
-		button.setLayoutData(CdmFormFactory.RIGHT());
+		button.setLayoutData(LayoutConstants.RIGHT());
 		addControl(button);
 		
 		button.addSelectionListener(this);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/PasswordWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/PasswordWizardPage.java
index a75cc6708..1fa087abd 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/PasswordWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/password/PasswordWizardPage.java
@@ -24,6 +24,7 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
@@ -44,6 +45,8 @@ public class PasswordWizardPage extends AbstractCdmEntityWizardPage<User> implem
 	private TextWithLabelElement text_passwordRepeat;
 	private PasswordValidator passwordValidator;
 
+	private UniqueUserNameValidator uniqueUsernameValidator;
+
 	/**
 	 * @param formFactory
 	 * @param conversation
@@ -54,6 +57,7 @@ public class PasswordWizardPage extends AbstractCdmEntityWizardPage<User> implem
 		super(formFactory, conversation, entity);
 		
 		passwordValidator = new PasswordValidator();
+		uniqueUsernameValidator = new UniqueUserNameValidator();
 	}
 
 	/* (non-Javadoc)
@@ -62,11 +66,11 @@ public class PasswordWizardPage extends AbstractCdmEntityWizardPage<User> implem
 	@Override
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
-		control.setLayoutData(CdmFormFactory.FILL());
+		control.setLayoutData(LayoutConstants.FILL());
 		
 		setPageComplete(false);
 		
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(LayoutConstants.LAYOUT(2, false));
 		WizardPageRootElement rootElement = new WizardPageRootElement(formFactory, control, getConversationHolder());
 		
 		if(!CdmStore.getLoginManager().isAdmin()){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
index d39b5f60d..ff6292ab6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
@@ -45,8 +45,6 @@ public abstract class AbstractCdmDetailElement<T> extends
 
 	private T entity;
 
-	private boolean enabled;
-
 	private boolean irrelevant;
 
 	/**
@@ -171,7 +169,6 @@ public abstract class AbstractCdmDetailElement<T> extends
 
 	/** {@inheritDoc} */
 	public void setEnabled(boolean enabled) {
-		this.enabled = enabled;
 		setEnabled(enabled, null);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
index 9788296a8..ca1353b2c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
@@ -17,7 +17,6 @@ import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Layout;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 
@@ -31,6 +30,7 @@ import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.IEntityElement;
 import eu.etaxonomy.taxeditor.ui.element.ISelectable;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * <p>
@@ -90,12 +90,12 @@ public abstract class AbstractEntityCollectionElement<ENTITY> extends
 		box.setBackgroundMode(SWT.INHERIT_DEFAULT);
 		addControl(box);
 
-		TableWrapLayout boxLayout = CdmFormFactory.LAYOUT(2, false);
+		TableWrapLayout boxLayout = LayoutConstants.LAYOUT(2, false);
 		boxLayout.topMargin = 4;
 		boxLayout.bottomMargin = 4;
 		box.setLayout(boxLayout);
 
-		box.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		box.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 
 		// box.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_BLUE));
 
@@ -106,15 +106,15 @@ public abstract class AbstractEntityCollectionElement<ENTITY> extends
 		setLayoutComposite(container);
 
 		addControl(container);
-		Layout containerLayout = CdmFormFactory.LAYOUT(2, false);
+		Layout containerLayout = LayoutConstants.LAYOUT(2, false);
 
 		container.setLayout(containerLayout);
-		container.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		container.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 
 		if (removeListener != null) {
 			button_remove = formFactory.createButton(box, null, SWT.PUSH);
 			addControl(button_remove);
-			button_remove.setLayoutData(CdmFormFactory.RIGHT());
+			button_remove.setLayoutData(LayoutConstants.RIGHT());
 			button_remove.setImage(ImageResources
 					.getImage(ImageResources.TRASH_ICON));
 			button_remove.setToolTipText("Remove");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
index b069797d1..1a9f43ee5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
@@ -159,40 +159,6 @@ public abstract class AbstractEntityCollectionSection<ENTITY, ELEMENT> extends A
 			firePropertyChangeEvent(this);
 	}
 
-	/**
-	 * Whether the entities specific collection changed
-	 * 
-	 * KLUDGE this seemingly leads to errors
-	 * 
-	 * @param newEntity
-	 * @return
-	 */
-	private boolean hasCollectionChanged(ENTITY newEntity){
-
-		return true;
-		
-//		// return true on null
-//		if(getEntity() == null || newEntity == null)	return true;	
-//		
-//		// if the entities differ the collection has changed
-//		if(! getEntity().equals(newEntity)) return true;
-//		
-//		Collection<ELEMENT> oldCollection = getCollection(getEntity());
-//		Collection<ELEMENT> newCollection = getCollection(newEntity);
-//		
-//		// return true on null
-//		if(oldCollection == null || newCollection == null) return true;
-//		
-//		// if the collections are object equal, check if the content is equal, too
-//		if(oldCollection.equals(newCollection)){
-//		
-//			boolean equal = CollectionUtils.isEqualCollection(oldCollection, newCollection);
-//			// return true when collections are not equal
-//			return equal ? false : true;
-//		}
-//		return true;
-	}
-
 	/**
 	 * Create the elements to be shown in this seciton client area 
 	 */
@@ -249,7 +215,7 @@ public abstract class AbstractEntityCollectionSection<ENTITY, ELEMENT> extends A
 	 * @param backgroundColor a {@link org.eclipse.swt.graphics.Color} object.
 	 */
 	protected void createElementComposite(ELEMENT element, SelectionListener removeListener, Color backgroundColor){
-		AbstractEntityCollectionElement formElement = formFactory.createEntityCollectionElement(this, element, removeListener, backgroundColor, SWT.NULL);
+		formFactory.createEntityCollectionElement(this, element, removeListener, backgroundColor, SWT.NULL);
 	}
 	
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
index e785e3b49..22dd62211 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
@@ -14,9 +14,8 @@ import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
-import eu.etaxonomy.taxeditor.ui.selection.InstitutionSelectionElement;
+import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;
 
 /**
  * @author n.hoffmann
@@ -32,7 +31,7 @@ public class InstitutionDetailElement extends
 
 	// private InstitutionTypeSection section_institutionTypes;
 
-	private InstitutionSelectionElement selection_partOfInstitution;
+	private EntitySelectionElement<Institution> selection_partOfInstitution;
 
 	/**
 	 * @param formFactory
@@ -58,11 +57,12 @@ public class InstitutionDetailElement extends
 		text_code = formFactory.createTextWithLabelElement(formElement, "Code",
 				entity.getCode(), style);
 		// section_institutionTypes
-		selection_partOfInstitution = (InstitutionSelectionElement) formFactory
-				.createSelectionElement(SelectionType.INSTITUTION,
+		selection_partOfInstitution = formFactory
+				.createSelectionElement(Institution.class,
 						getConversationHolder(), formElement, "Is Part Of",
 						entity.getIsPartOf(),
-						InstitutionSelectionElement.DEFAULT, style);
+						EntitySelectionElement.EDITABLE | EntitySelectionElement.SELECTABLE | EntitySelectionElement.DELETABLE, 
+						style);
 	}
 
 	/*
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
index da43eb7cb..0c0656b63 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
@@ -16,8 +16,8 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
+import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
 /**
@@ -46,7 +46,7 @@ public class InstitutionWizardPage extends
 	 * (eu.etaxonomy.taxeditor.forms.ICdmFormElement)
 	 */
 	@Override
-	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
+	public AbstractCdmDetailElement<Institution> createElement(ICdmFormElement rootElement) {
 		InstitutionDetailElement detailElement = (InstitutionDetailElement) formFactory
 				.createCdmDetailElement(DetailType.INSTITUTION, rootElement,
 						SWT.NULL);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
index 2dfc2b19f..5199df5fc 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
@@ -20,7 +20,6 @@ import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
-import eu.etaxonomy.taxeditor.ui.element.ToggleableTextElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractIdentifiableEntityDetailElement;
 
 /**
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
index 4058b3520..2462dd3c9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
@@ -18,6 +18,7 @@ import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 import eu.etaxonomy.taxeditor.ui.element.ToggleableTextElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.EntityDetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractIdentifiableEntityDetailElement;
@@ -71,7 +72,7 @@ public class TeamDetailElement extends AbstractIdentifiableEntityDetailElement<T
 		section_teamMembers = (TeamMemberSection) formFactory
 				.createEntityDetailSection(EntityDetailType.TEAMMEMBER,
 						getConversationHolder(), formElement, Section.EXPANDED);
-		section_teamMembers.setLayoutData(CdmFormFactory
+		section_teamMembers.setLayoutData(LayoutConstants
 				.FILL_HORIZONTALLY(2, 1));
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
index 5be9862eb..103870d0e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
@@ -18,9 +18,8 @@ import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
-import eu.etaxonomy.taxeditor.ui.selection.PersonSelectionElement;
+import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;
 
 /**
  * <p>
@@ -33,7 +32,7 @@ import eu.etaxonomy.taxeditor.ui.selection.PersonSelectionElement;
  */
 public class TeamMemberElement extends AbstractEntityCollectionElement<Person> {
 
-	private PersonSelectionElement selection_person;
+	private EntitySelectionElement<Person> selection_person;
 
 	/**
 	 * <p>
@@ -69,10 +68,11 @@ public class TeamMemberElement extends AbstractEntityCollectionElement<Person> {
 	/** {@inheritDoc} */
 	@Override
 	public void createControls(ICdmFormElement element, int style) {
-		selection_person = (PersonSelectionElement) formFactory
-				.createSelectionElement(SelectionType.PERSON,
+		selection_person = formFactory
+				.createSelectionElement(Person.class,
 						getConversationHolder(), this, "Person", null,
-						PersonSelectionElement.DEFAULT, style);
+						EntitySelectionElement.EDITABLE | EntitySelectionElement.SELECTABLE, 
+						style);
 	}
 
 	/*
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
index ba736a30e..77808b23d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
@@ -10,7 +10,6 @@
 
 package eu.etaxonomy.taxeditor.ui.section.agent;
 
-import org.apache.log4j.Logger;
 import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
@@ -18,8 +17,8 @@ import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
+import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -31,9 +30,6 @@ import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
  */
 public class TeamOrPersonBaseDetailSection extends AbstractCdmDetailSection<TeamOrPersonBase> {
 
-	private static final Logger logger = Logger
-			.getLogger(TeamOrPersonBaseDetailSection.class);
-
 	/**
 	 * <p>Constructor for TeamOrPersonBaseDetailSection.</p>
 	 *
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
index fd53a6552..b13cc94fc 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
@@ -10,19 +10,17 @@
 
 package eu.etaxonomy.taxeditor.ui.section.classification;
 
-import org.apache.log4j.Logger;
 import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.model.common.LanguageString;
+import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
-import eu.etaxonomy.taxeditor.ui.selection.ReferenceSelectionElement;
+import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;
 
 /**
  * <p>
@@ -36,12 +34,9 @@ import eu.etaxonomy.taxeditor.ui.selection.ReferenceSelectionElement;
 public class ClassificationDetailElement extends
 		AbstractCdmDetailElement<Classification> {
 
-	private static final Logger logger = Logger
-			.getLogger(ClassificationDetailElement.class);
-
 	private TextWithLabelElement text_treeLabel;
 
-	private ReferenceSelectionElement selection_reference;
+	private EntitySelectionElement<Reference> selection_reference;
 
 	private TextWithLabelElement text_microReference;
 
@@ -77,11 +72,11 @@ public class ClassificationDetailElement extends
 		text_treeLabel = formFactory.createTextWithLabelElement(formElement,
 				"Label", entity != null ? entity.getTitleCache() : null,
 				SWT.NULL);
-		selection_reference = (ReferenceSelectionElement) formFactory
-				.createSelectionElement(SelectionType.REFERENCE,
+		selection_reference = formFactory
+				.createSelectionElement(Reference.class,
 						getConversationHolder(), formElement, "Reference",
 						entity != null ? entity.getReference() : null,
-						ReferenceSelectionElement.DEFAULT, SWT.NULL);
+						EntitySelectionElement.ALL, SWT.NULL);
 		text_microReference = formFactory.createTextWithLabelElement(
 				formElement, "Reference Detail",
 				entity != null ? entity.getMicroReference() : null, SWT.NULL);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
index 0147c49c5..0f4718268 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
@@ -14,11 +14,10 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.taxon.Classification;
-import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
+import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 
 /**
  * <p>
